LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 04-04-2013, 12:04 PM   #1
barry_lamb
LQ Newbie
 
Registered: Mar 2013
Posts: 10

Rep: Reputation: Disabled
Upgrade to current...pae support?


Hi all, I've decided to try current on a spare machine, which I installed the huge.s kernel, because of pae support issues. Now I've upgraded to current from 14 I get the pae problem.

Anyone know why?
 
Old 04-06-2013, 01:03 AM   #2
willysr
Senior Member
 
Registered: Jul 2004
Location: Jogja, Indonesia
Distribution: Slackware-Current
Posts: 2,493

Rep: Reputation: 403Reputation: 403Reputation: 403Reputation: 403Reputation: 403
What kind of problem?
 
Old 04-06-2013, 07:41 AM   #3
barry_lamb
LQ Newbie
 
Registered: Mar 2013
Posts: 10

Original Poster
Rep: Reputation: Disabled
Well, I'm trying this on VirtualBox, which I installed Slackware 14 using the huge.s kernel. When I upgraded to Slackware-current I let slackpkg run lilo and then rebooted. When it tried booting with the current kernel I got this message.

This kernel requires the following feature not present on the CPU:
pae
Unable to boot - Please use a kernel appropriate for your CPU.



I'm now thinking I should have edited lilo myself and changed hugesmp.s to the huge.s kernel?

Last edited by barry_lamb; 04-06-2013 at 07:42 AM.
 
Old 04-06-2013, 07:51 AM   #4
Alien Bob
Slackware Contributor
 
Registered: Sep 2005
Location: Eindhoven, The Netherlands
Distribution: Slackware
Posts: 5,184

Rep: Reputation: Disabled
Yes, you should switch back to huge.s.
Boot that virtual machine from a Slackware boot ISO, repair lilo.conf and run lilo.

Eric
 
1 members found this post helpful.
Old 04-06-2013, 08:01 AM   #5
barry_lamb
LQ Newbie
 
Registered: Mar 2013
Posts: 10

Original Poster
Rep: Reputation: Disabled
Thanks Alienbob, I never thought about doing that on a Virtual machine before. I'll give it a go.
 
Old 04-06-2013, 08:10 AM   #6
barry_lamb
LQ Newbie
 
Registered: Mar 2013
Posts: 10

Original Poster
Rep: Reputation: Disabled
Solved! Thanks Alienbob.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Build driver failed in PAE platform with linux kernel 2.6.27.19-5-pae steven215 Programming 3 01-19-2014 05:11 PM
[SOLVED] PAE problem in Slackware Current gabytf Slackware 6 12-23-2011 07:23 AM
Upgrade to kernel-PAE-2.6.35.11-83.fc14 freezes during boot. maestro52 Fedora 3 03-10-2011 05:25 PM
Enabling PAE to Support Morethan 3GB of RAM anoopch Ubuntu 11 12-16-2010 01:09 PM
PAE support in linux-2.6.29.* vonbiber Linux - Kernel 6 05-02-2009 12:14 PM


All times are GMT -5. The time now is 06:14 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration